Package twisted :: Package protocols :: Module toc

[frames | no frames]

## Module twisted.protocols.toc

Implements a AOL Instant Messenger TOC server and client, using the Twisted framework.

TODO: info,dir: see how gaim connects for this...it may never work if it tries to connect to the aim server automatically

This module is stable, but deprecated.

Maintainer: Paul Swartz

Classes
`Chatroom` |
`GetFileTransfer` |
`SavedUser` |
`SendFileTransfer` |
`TOC` |
`TOCClient` |
`TOCFactory` |

Exceptions
`TOCParseError` |

Function Summary
| `checksum(b)`
| `checksum_file(f)`
| `normalize(s)`
| `quote(s)`
| `roast(pw)`
| `unquote(s)`
| `unquotebeg(s)`
| `unroast(pw)`

Variable Summary
`int` | `BAD_ACCOUNT` = 912
`int` | `BAD_COUNTRY` = 978
`int` | `BAD_INPUT` = 911
`int` | `BAD_LANGUAGE` = 977
`int` | `BAD_NICKNAME` = 980
`int` | `CANT_WARN` = 902
`int` | `CONNECTING_TOO_QUICK` = 983
`int` | `DATA` = 2
`int` | `DENYALL` = 2
`int` | `DENYSOME` = 4
`int` | `DIR_FAIL_UNKNOWN` = 979
`int` | `DIR_FAILURE` = 970
`int` | `DIR_UNAVAILABLE` = 973
`int` | `ERROR` = 3
`str` | `GET_FILE_UID` = `'09461348-4C7F-11D1-8222-444553540000'`
`int` | `KEEP_ALIVE` = 5
`int` | `KEYWORD_IGNORED` = 975
`dict` | `MAXARGS` = `{'UPDATE_BUDDY': 5, 'IM_IN': 2, 'CHAT_INVITE':...`
`int` | `MESSAGES_TOO_FAST` = 903
`int` | `MISSED_BIG_IM` = 961
`int` | `MISSED_FAST_IM` = 962
`int` | `NEED_MORE_QUALIFIERS` = 972
`int` | `NO_CHAT_IN` = 950
`int` | `NO_EMAIL_LOOKUP` = 974
`int` | `NO_KEYWORDS` = 976
`int` | `NOT_AVAILABLE` = 901
`int` | `PERMITALL` = 1
`int` | `PERMITSOME` = 3
`int` | `REQUEST_ERROR` = 913
`str` | `SEND_FILE_UID` = `'09461343-4C7F-11D1-8222-444553540000'`
`int` | `SEND_TOO_FAST` = 960
`int` | `SERVICE_TEMP_UNAVAILABLE` = 981
`int` | `SERVICE_UNAVAILABLE` = 914
`int` | `SIGNOFF` = 4
`int` | `SIGNON` = 1
`dict` | `STD_MESSAGE` = `{960: 'You are sending messages too fast t...`
`int` | `TOO_MANY_MATCHES` = 971
`int` | `UNKNOWN_SIGNON` = 989
`dict` | `UUIDS` = `{'09461348-4C7F-11D1-8222-444553540000': 'GET_FI...`
`int` | `WARNING_TOO_HIGH` = 982

Variable Details

### BAD_ACCOUNT

  Type:
    `int`
  Value:

        912

### BAD_COUNTRY

  Type:
    `int`
  Value:

        978

### BAD_INPUT

  Type:
    `int`
  Value:

        911

### BAD_LANGUAGE

  Type:
    `int`
  Value:

        977

### BAD_NICKNAME

  Type:
    `int`
  Value:

        980

### CANT_WARN

  Type:
    `int`
  Value:

        902

### CONNECTING_TOO_QUICK

  Type:
    `int`
  Value:

        983

### DATA

  Type:
    `int`
  Value:

        2

### DENYALL

  Type:
    `int`
  Value:

        2

### DENYSOME

  Type:
    `int`
  Value:

        4

### DIR_FAIL_UNKNOWN

  Type:
    `int`
  Value:

        979

### DIR_FAILURE

  Type:
    `int`
  Value:

        970

### DIR_UNAVAILABLE

  Type:
    `int`
  Value:

        973

### ERROR

  Type:
    `int`
  Value:

        3

### GET_FILE_UID

  Type:
    `str`
  Value:

        '09461348-4C7F-11D1-8222-444553540000'

### KEEP_ALIVE

  Type:
    `int`
  Value:

        5

### KEYWORD_IGNORED

  Type:
    `int`
  Value:

        975

### MAXARGS

  Type:
    `dict`
  Value:

        {'ADMIN_NICK_STATUS': 0,
         'ADMIN_PASSWD_STATUS': 0,
         'CHAT_IN': 3,
         'CHAT_INVITE': 3,
         'CHAT_JOIN': 1,
         'CHAT_LEFT': 0,
         'CHAT_UPDATE_BUDDY': -1,
         'CONFIG': 0,
        ...

### MESSAGES_TOO_FAST

  Type:
    `int`
  Value:

        903

### MISSED_BIG_IM

  Type:
    `int`
  Value:

        961

### MISSED_FAST_IM

  Type:
    `int`
  Value:

        962

### NEED_MORE_QUALIFIERS

  Type:
    `int`
  Value:

        972

### NO_CHAT_IN

  Type:
    `int`
  Value:

        950

### NO_EMAIL_LOOKUP

  Type:
    `int`
  Value:

        974

### NO_KEYWORDS

  Type:
    `int`
  Value:

        976

### NOT_AVAILABLE

  Type:
    `int`
  Value:

        901

### PERMITALL

  Type:
    `int`
  Value:

        1

### PERMITSOME

  Type:
    `int`
  Value:

        3

### REQUEST_ERROR

  Type:
    `int`
  Value:

        913

### SEND_FILE_UID

  Type:
    `str`
  Value:

        '09461343-4C7F-11D1-8222-444553540000'

### SEND_TOO_FAST

  Type:
    `int`
  Value:

        960

### SERVICE_TEMP_UNAVAILABLE

  Type:
    `int`
  Value:

        981

### SERVICE_UNAVAILABLE

  Type:
    `int`
  Value:

        914

### SIGNOFF

  Type:
    `int`
  Value:

        4

### SIGNON

  Type:
    `int`
  Value:

        1

### STD_MESSAGE

  Type:
    `dict`
  Value:

        {901: '%s not currently available',
         902: 'Warning of %s not currently available',
         903: 'A message has been dropped, you are exceeding the server speed \
        limit',
         911: 'Error validating input',
         912: 'Invalid account',
         913: 'Error encountered while processing request',
         914: 'Service unavailable',
        ...

### TOO_MANY_MATCHES

  Type:
    `int`
  Value:

        971

### UNKNOWN_SIGNON

  Type:
    `int`
  Value:

        989

### UUIDS

  Type:
    `dict`
  Value:

        {'09461343-4C7F-11D1-8222-444553540000': 'SEND_FILE',
         '09461348-4C7F-11D1-8222-444553540000': 'GET_FILE'}

### WARNING_TOO_HIGH

  Type:
    `int`
  Value:

        982

Generated by Epydoc 2.0 on Sat May 15 20:08:09 2004 | http://epydoc.sf.net